Bug 1645329 (python-fslpy)

Summary: Review Request: python-fslpy - The FSL Python library
Product: [Fedora] Fedora Reporter: Ankur Sinha (FranciscoD) <sanjay.ankur>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-12 02:14:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1276941    

Description Ankur Sinha (FranciscoD) 2018-11-02 00:26:50 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-fslpy/python-fslpy.spec 
SRPM URL: https://ankursinha.fedorapeople.org/python-fslpy/python-fslpy-1.12.0-1.fc29.src.rpm

Description: The fslpy project is a FSL programming library written in Python. It is used by FSLeyes.

Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2018-11-02 00:32:58 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30601140

Comment 2 Robert-André Mauchin 🐧 2018-11-08 16:19:22 UTC
Requires:  %{py3_dist six}
Requires:  %{py3_dist numpy}
Requires:  %{py3_dist scipy}
Requires:  %{py3_dist nibabel}
Requires:  %{py3_dist wxpython}
Requires:  %{py3_dist rtree}

should be moved to the python3 subpackage I believe.

 - Remove the sphinx-build leftovers:

python-fslpy-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fslpy-doc/html/.buildinfo
python-fslpy-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fslpy-doc/html/.doctrees
python-fslpy-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-fslpy-doc/html/.doctrees

 - Remove the shebang in %prep:

python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/__init__.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/__init__.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/__init__.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/__init__.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/atlases.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/atlases.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/constants.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/constants.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/dicom.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/dicom.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/dtifit.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/dtifit.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/featanalysis.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/featanalysis.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/featdesign.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/featdesign.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/featimage.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/featimage.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/fixlabels.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/fixlabels.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/freesurfer.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/freesurfer.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/gifti.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/gifti.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/image.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/image.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/imagewrapper.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/imagewrapper.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/melodicanalysis.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/melodicanalysis.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/melodicimage.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/melodicimage.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/mesh.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/mesh.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/mghimage.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/mghimage.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/vest.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/vest.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/volumelabels.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/volumelabels.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/data/vtk.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/data/vtk.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/scripts/__init__.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/scripts/__init__.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/scripts/atlasq.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/scripts/atlasq.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/scripts/extract_noise.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/scripts/extract_noise.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/scripts/fsl_ents.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/scripts/fsl_ents.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/scripts/imcp.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/scripts/imcp.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/scripts/imglob.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/scripts/imglob.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/scripts/immv.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/scripts/immv.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/__init__.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/__init__.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/assertions.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/assertions.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/async.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/async.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/cache.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/cache.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/callfsl.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/callfsl.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/ensure.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/ensure.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/fslsub.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/fslsub.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/idle.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/idle.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/imcp.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/imcp.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/memoize.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/memoize.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/meta.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/meta.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/naninfrange.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/naninfrange.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/notifier.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/notifier.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/parse_data.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/parse_data.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/path.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/path.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/platform.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/platform.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/run.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/run.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/settings.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/settings.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/tempdir.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/tempdir.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/transform.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/transform.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/utils/weakfuncref.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/utils/weakfuncref.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/version.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/version.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/__init__.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/__init__.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/bet.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/bet.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/eddy.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/eddy.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/fast.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/fast.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/flirt.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/flirt.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/fnirt.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/fnirt.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/fslmaths.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/fslmaths.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/fugue.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/fugue.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/melodic.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/melodic.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/misc.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/misc.py 644 /usr/bin/env python
python3-fslpy.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/fsl/wrappers/wrapperutils.py /usr/bin/env python
python3-fslpy.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/fsl/wrappers/wrapperutils.py 644 /usr/bin/env python

Comment 4 Robert-André Mauchin 🐧 2018-11-08 17:28:55 UTC
All ok, package approved.

Comment 5 Ankur Sinha (FranciscoD) 2018-11-08 17:37:35 UTC
Thanks very much! Requesting SCM now :)

Comment 6 Gwyn Ciesla 2018-11-08 17:49:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fslpy

Comment 7 Fedora Update System 2018-11-08 22:19:23 UTC
python-fslpy-1.12.0-3.fc28 python-fsleyes-widgets-0.7.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b1718c9b1

Comment 8 Fedora Update System 2018-11-08 22:19:36 UTC
python-fslpy-1.12.0-3.fc29 python-fsleyes-widgets-0.7.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4e0d559fd

Comment 9 Fedora Update System 2018-11-09 07:45:59 UTC
python-fsleyes-widgets-0.7.0-3.fc29, python-fslpy-1.12.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4e0d559fd

Comment 10 Fedora Update System 2018-11-09 07:50:56 UTC
python-fsleyes-widgets-0.7.0-3.fc28, python-fslpy-1.12.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b1718c9b1

Comment 11 Fedora Update System 2018-11-12 02:14:34 UTC
python-fsleyes-widgets-0.7.0-3.fc29, python-fslpy-1.12.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-12 05:28:22 UTC
python-fsleyes-widgets-0.7.0-3.fc28, python-fslpy-1.12.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.